# -*- mode: yaml; indent-tabs-mode: nil; tab-width: 2; coding: utf-8-unix -*-
---

PROXY_TIME_DAEMON: sdwdate
PROXY_GPG_KEYERVER_URL: hkps://keys.gentoo.org

# dont put stage3 elts in here
# these are really bootstrap packages
proxy_pkgs_bootstrap:
  - app-admin/sudo
  - sys-boot/grub:2
  - sys-boot/syslinux
  - app-editors/mg
  - qemu-guest-agent
  - sys-apps/gptfdisk
  - net-analyzer/openbsd-netcat
  - app-admin/logrotate
  - media-fonts/terminus-font
  - net-misc/curl
  - app-arch/unzip
  - net-libs/pacparser
  - sys-process/lsof
  - dev-util/strace
  - app-portage/eix
  - sys-libs/gpm
  - linux-firmware
  - net-dns/bind-tools
  - net-misc/socat
  - app-portage/gentoolkit

proxy_pkgs_inst:
# move these to testforge - epecially gnupg for static
  - net-proxy/privoxy
  - net-analyzer/nmap

proxy_pkgs_inst_guest: []

proxy_funtoo_pkgs_inst: []

proxy_pips2_inst: []

proxy_pips3_inst: []

proxy_pips_reinstall:
# pip prerequisites
  - setuptools
  - appdirs
  - ipaddress
  - six
#  - cachecontrol
  - pyparsing
  - colorama
#?  - distlib
  - html5lib
#?  - lockfile
  - packaging
  - requests
  - webencodings
# pip itself? NO
#  - pip
  - cryptography==1.9


cntlm_pid_file: /var/run/cntlm.pid


proxy_services:
  # console-setup.sh Debian - in /usr/local/etc/local.d/Whonix-Lati.rc
  - "{{ 'consolefont' if ansible_distribution == 'Gentoo' else '' }}"
  - "{{ 'console-setup' if ansible_distribution in ['Ubuntu', 'Debian'] else '' }}"
  - bootlogd
  - "{{ 'polipo' if BOX_WHONIX_PROXY_HOST != '' else '' }}"
# FixMe: tie in with
#  - "{{ 'polipo' if PRIV_TOR_TYPE == 'client' else ''}}"
